@ECHO OFF&(PUSHD "%~DP0")&(REG QUERY "HKU\S-1-5-19">NUL 2>&1)||(
powershell -Command "Start-Process '%~sdpnx0' -Verb RunAs"&&EXIT)

:STARTS
CLS
ECHO.输入对应数字，然后按回车键:
ECHO.1.注册小小音形
ECHO.2.注销小小音形
:CHO
set choice=
set /p choice=
if /i "%choice%"=="1" goto zc
if /i "%choice%"=="2" goto zx
echo 选择无效，请重新输入
echo.
GOTO STARTS

:zc
CLS
xcopy "tsf" "%programfiles%\tsf\" /y /e

cd /d "%~dp0"
"%programfiles%\tsf\tsf-reg.exe" -n 小小音形 -i 2>NUL

if %PROCESSOR_ARCHITECTURE%==x86 goto end 
"%programfiles%\tsf\tsf-reg64.exe" -n 小小音形 -i 2>NUL

:end
ECHO.
echo.已完成
echo.
pause >nul
exit

:zx
CLS
cd /d "%~dp0"

if %PROCESSOR_ARCHITECTURE%==x86 goto x86
"%programfiles%\tsf\tsf-reg64.exe" -u -d 2>NUL

:x86
"%programfiles%\tsf\tsf-reg.exe" -u -d 2>NUL

rd/s/q "%programfiles%\tsf"
ECHO.
echo.已完成
echo.
echo.若提示拒绝访问，请重启电脑再试。
pause >nul
exit
